Lavalite package that provides eatery management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/eatery`.

    "litecms/eatery": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Eatery\Providers\EateryServiceProvider::class,

And also add it to alias

    'Eatery'  => Litecms\Eatery\Facades\Eatery::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\Eatery\\Seeders\\EateryTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Eatery\Providers\EateryServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Eatery\Providers\EateryServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Eatery\Providers\EateryServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/eatery/{modulename}

**User**

    http://path-to-route-folder/user/eatery/{modulename}

**Public**

    http://path-to-route-folder/eateries


### API endpoints

**List**

    http://path-to-route-folder/api/user/eatery/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/eatery/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/eatery/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/eatery/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/eatery/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/eatery/{modulename}/{slug}
    METHOD: GET