<?php

namespace Litecms\Eatery\Repositories\Eloquent;

use Litecms\Eatery\Interfaces\EateryRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litecms\Eatery\Repositories\Eloquent\Presenters\EateryItemPresenter;


class EateryRepository extends BaseRepository implements EateryRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litecms.eatery.eatery.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.eatery.eatery.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return EateryItemPresenter::class;
    }
}
